<ngx-loading [show]="loading" [config]="{
  backdropBackgroundColour: 'rgba(0, 0, 0, 0.3)',
  primaryColour: '#ffffff', secondaryColour: '#ffffff', tertiaryColour: '#ffffff', fullScreenBackdrop: true }"></ngx-loading>

<div class="card">
  <div class="card-header">
    <div class="page-header-title">
      <h4>Sensus Harian IGD</h4>
    </div>
  </div>
  <div class="card-block">
    <form [formGroup]="formFilter" (ngSubmit)="onSubmit()">
      <div class="dt-responsive dt-bootstrap4 row p-20">
        <div class="col-md-4 col-xl-4 form-group">
          <label class="col-form-label">Dari Tanggal:</label>
          <div class="input-group">
            <input class="form-control" placeholder="yyyy-mm-dd" [(ngModel)]="modelPopup1" ngbDatepicker #d1="ngbDatepicker"
              id="dariTanggal" formControlName="dariTanggal" readonly="true" (ngModelChange)="onSelectDariTanggal($event)">
            <div class="input-group-addon bg-default" (click)="d1.toggle()">
              <span class="icofont icofont-ui-calendar"></span>
            </div>
          </div>
          <span class="messages text-danger" *ngIf="!formFilter.get('dariTanggal').valid && formFilter.get('dariTanggal').touched" style="font-size: 10px">*
            Mohon Diisi</span>
        </div>

        <div class="col-md-4 col-xl-4 form-group">
          <label class="col-form-label">Sampai Tanggal:</label>
          <div class="input-group">
            <input class="form-control" placeholder="yyyy-mm-dd" [(ngModel)]="modelPopup2" ngbDatepicker #d2="ngbDatepicker"
              id="sampaiTanggal" formControlName="sampaiTanggal" readonly="true" (ngModelChange)="onSelectSampaiTanggal($event)">
            <div class="input-group-addon bg-default" (click)="d2.toggle()">
              <span class="icofont icofont-ui-calendar"></span>
            </div>
          </div>
          <span class="messages text-danger" *ngIf="!formFilter.get('sampaiTanggal').valid && formFilter.get('sampaiTanggal').touched" style="font-size: 10px">*
            Mohon Diisi</span>
        </div>

        <div class="col-md-4 col-xl-4 form-group">
          <label class="col-form-label">&nbsp;</label>
          <button type="submit" class="btn btn-success btn-sm btn-block text-center">
            <i class="icofont icofont-ui-search"></i>Cari
          </button>
        </div>
      </div>
    </form>


    <div class="dt-responsive dt-bootstrap4 row p-20">
      <div class="col-xs-12 col-sm-12 col-sm-12 col-md-6">
        <div>
          <label class="label-control">Tampilkan
            <select class="form-control input-sm full-data-show-entry" [(ngModel)]="rowsOnPage">
              <option [ngValue]="10">10</option>
              <option [ngValue]="25">25</option>
              <option [ngValue]="50">50</option>
              <option [ngValue]="100">100</option>
            </select>
          </label>
        </div>
      </div>
      <!-- <div class="col-xs-12 col-sm-12 col-md-6">
        <div class="text-right">
          <label>Cari:
            <input type="search" [(ngModel)]="filterQuery" class="form-control input-sm full-data-search">
          </label>
        </div>
      </div> -->
      <div class="col-xs-12 col-sm-12 col-md-6">
        <div class="text-right">
          <i class="fa fa-file-excel-o"></i><a [routerLink]="['/sensus-harian-IGD']" (click)="ExportExcel()">
            Export to .xls</a>
        </div>
      </div>
      <div class="col-xs-12 col-sm-12 col-md-12" style="overflow-x:auto;">
        <table dt-options="dtOptions" class="table table-striped table-bordered table-responsive full-data-table text-center pull-center"
          [mfData]="data | dataFilterActivities : filterQuery | dataFilterStatus : filterStatus" #mf="mfDataTable"
          [mfRowsOnPage]="rowsOnPage" [(mfSortBy)]="sortBy" [(mfSortOrder)]="sortOrder">
          <thead>
            <tr>
              <th width="10%">
                <mfDefaultSorter by="tglPeriksa">Tanggal</mfDefaultSorter>
              </th>
              <th width="15%">
                <mfDefaultSorter by="kdRm">No.Rekam Medis</mfDefaultSorter>
              </th>
              <th width="15%">
                <mfDefaultSorter by="nama">Nama Pasien</mfDefaultSorter>
              </th>
              <th width="10%">
                <mfDefaultSorter by="kdJk">Jenis Kelamin</mfDefaultSorter>
              </th>
              <th width="10%">
                <mfDefaultSorter by="umur">Umur (Tahun)</mfDefaultSorter>
              </th>
              <th width="20%">
                <mfDefaultSorter by="triase">Triase</mfDefaultSorter>
              </th>
              <th width="15%">
                <mfDefaultSorter by="namaPerawat">Nama Perawat</mfDefaultSorter>
              </th>
              <th width="15%">
                <mfDefaultSorter by="namaDokter">Nama Dokter</mfDefaultSorter>
              </th>
            </tr>
          </thead>
          <tbody *ngIf="data!=null && data!=''">
            <tr *ngFor="let item of mf.data">
              <td>{{item.tglPeriksa | convertDate}}</td>
              <td>{{item.kdRm}}</td>
              <td>{{item.nama}}</td>
              <td>{{item.kdJk}}</td>
              <td>{{item.umur}}</td>
              <td>{{item.triase}}</td>
              <td>{{item.namaPerawat}}</td>
              <td>{{item.namaDokter}}</td>
            </tr>
          </tbody>
          <tfoot>
            <tr *ngIf="data!=null">
              <td colspan="9">
                <mfBootstrapPaginator class="pagination-main f-right"></mfBootstrapPaginator>
              </td>
            </tr>
            <tr *ngIf="data==null">
              <td colspan="9" class="text-center">Memuat data...</td>
            </tr>
            <tr *ngIf="data==''">
              <td colspan="9" class="text-center">Data kosong</td>
            </tr>
          </tfoot>
        </table>
      </div>
    </div>
  </div>
</div>